read.g1sst {oce} | R Documentation

## Read G1SST satellite data

### Description

This works with netcdf files as provided by the ERDAPP server [1].

### Usage

    read.g1sst(filename)

### Arguments

`filename` | name of a netcdf file containing G1SST data.

### Details

As noted in the documentation for `g1sst-class`, one must be aware of the incorporation of model simulations in the `g1sst` product. For example, the code presented below might lead one to believe that the mapped field represents observatins, whereas in fact it can be verified by consulting [2] (clicking and unclicking the radio button to show just the data) that the field mostly derives from simulation.

### Value

An object of `g1sst-class`.

### Author(s)

Dan Kelley

### References

1. ERDDAP Portal http://coastwatch.pfeg.noaa.gov/erddap/ 2. JPO OurOcean Portal http://ourocean.jpl.nasa.gov/SST/

### See Also

Other functions dealing with satellite data: `[[,landsat-method`, `amsr-class`, `g1sst-class`, `landsatAdd`, `landsatTrim`, `plot,amsr-method`, `plot,landsat-method`, `plot,satellite-method`, `read.amsr`, `read.landsat`, `satellite-class`, `summary,amsr-method`, `summary,landsat-method`, `summary,satellite-method`

### Examples

    ## Not run:
    # Construct query, making it easier to understand and modify.
    day <- "2016-01-02"
    lon0 <- -66.5
    lon1 <- -64.0
    lat0 <- 44
    lat1 <- 46
    source <- paste("http://coastwatch.pfeg.noaa.gov/erddap/griddap/",
                    "jplG1SST.nc?",
                    "SST%5B(", day, "T12:00:00Z)",
                    "%5D%5B(", lat0, "):(", lat1, ")",
                    "%5D%5B(", lon0, "):(", lon1, ")",
                    "%5D", sep="")
    if (!length(list.files(pattern="^a.nc$")))
        download.file(source, "a.nc")
    d <- read.g1sst("a.nc")
    plot(d, "SST", col=oceColorsJet)
    data(coastlineWorldFine, package="ocedata")
    lines(coastlineWorldFine[['longitude']],coastlineWorldFine[['latitude']])

    ## End(Not run)

[Package oce version 0.9-18 Index]